Bug 1458593 - 'Ansible Tower' should not be mentioned in CloudForms notification when using Ansible Automation Inside
Summary: 'Ansible Tower' should not be mentioned in CloudForms notification when using...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Greg Blomquist
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible_embed:notification
Depends On:
Blocks: 1478429
TreeView+ depends on / blocked
 
Reported: 2017-06-04 17:52 UTC by Jerome Marc
Modified: 2018-03-06 15:22 UTC (History)
11 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1478429 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:22:16 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)
CloudForms notification showing Tower (6.68 KB, image/png)
2017-06-04 17:52 UTC, Jerome Marc
no flags Details

Description Jerome Marc 2017-06-04 17:52:12 UTC
Created attachment 1284766 [details]
CloudForms notification showing Tower

Description of problem:
When adding Ansible credentials in CloudForms, a notification appears with the following description:
"The operation Ansible Tower Credential creation (name=...) on Tower (manager_id=...) completed successfully."

Version-Release number of selected component (if applicable):
5.8.0.17.20170525183055_6317a22 

How reproducible:
Always

Steps to Reproduce:
1. Create new credentials using Ansible Automation Inside in CloudForms
2. Check CloudForms notifications once complete

Actual results:
The description contains reference to Tower.

Expected results:
No mention of Tower.

Additional info:

Comment 2 James Wong 2017-06-14 16:47:17 UTC
Hi Jerome,

Where is this requirement from? That no mentioning of Tower?

thanks,
James

Comment 9 CFME Bot 2017-06-29 19:36:21 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f664b19dee18a3812640f5f95dd1252c4c8859b7

commit f664b19dee18a3812640f5f95dd1252c4c8859b7
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Thu Jun 29 12:27:38 2017 -0400
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Thu Jun 29 13:20:30 2017 -0400

    Avoid Tower in notifications for embedded ansible
    
    ManageIQ should not indicate that anything "Tower" exists when dealing
    with Embedded Ansible.  This should change the logs and notifications to
    use a more "embedded ansibly" term when talking about embedded ansibly
    things.
    
    Before:
    
      "The operation Ansible Tower Credential creation (name=...) on Tower
                     ^^^^^^^^^^^^^
      (manager_id=...) completed successfully."
    
    After:
    
      "The operation Ansible Automation Inside Credential creation (name=...)
                     ^^^^^^^^^^^^^^^^^^^^^^^^^
      on EMS(manager_id=1) completed successfully."
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1458593

 .../embedded_ansible/automation_manager/configuration_script.rb         | 2 ++
 .../embedded_ansible/automation_manager/configuration_script_source.rb  | 2 ++
 .../providers/embedded_ansible/automation_manager/credential.rb         | 2 ++
 3 files changed, 6 insertions(+)

Comment 10 CFME Bot 2017-07-17 22:24:12 UTC
New commit detected on ManageIQ/manageiq-providers-ansible_tower/master:
https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/9683ab60d1f8f178a032dda7bea68dc04925dba3

commit 9683ab60d1f8f178a032dda7bea68dc04925dba3
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Thu Jun 29 13:18:34 2017 -0400
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Jul 17 16:49:47 2017 -0400

    Avoid Tower in notifications for embedded ansible
    
    ManageIQ should not indicate that anything "Tower" exists when dealing
    with Embedded Ansible.  This should change the logs and notifications to
    use a more "embedded ansibly" term when talking about embedded ansibly
    things.
    
    Before:
    
      "The operation Ansible Tower Credential creation (name=...) on
      Tower(manager_id=...) completed successfully."
      ^^^^^
    
    After:
    
      "The operation Ansible Automation Inside Credential creation (name=...)
      on EMS(manager_id=1) completed successfully."
         ^^^
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1458593

 .../providers/ansible_tower/shared/automation_manager/tower_api.rb      | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 13 Dmitry Misharov 2017-10-13 12:04:11 UTC
Verified in 5.9.0.2.20171010190026_0413a06. 'Ansible Tower' is not mentioned in CloudForms notifications.


Note You need to log in before you can comment on or make changes to this bug.